export class TimeDependentState {
  constructor(param) {
    this.param = param;
  }
  active() {
    const frame_graph_node_id = this.param.scene().timeController.graph_node.graphNodeId();
    return this.param.graphPredecessorIds().includes(frame_graph_node_id);
  }
}
